/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: a_beqv.c,v 1.2 1997/09/25 16:49:21 ae59 Exp $ */
/*
$Log: a_beqv.c,v $
 * Revision 1.2  1997/09/25  16:49:21  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:20:38  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : a_beqv.c                              */
/*                                                              */
/*      Entries         : a_intg a_beqv(a,b)                    */
/*                        a_intg a;                             */
/*                        a_intg b;                             */
/*                                                              */
/*      Arguments       : a = integer bit operand               */
/*                        b = integer bit operand               */
/*                                                              */
/*      Description     : Bit EQV operation between integers    */
/*                                                              */
/*      Function value  : logically equivalenced bits of        */
/*                        integers a,b represented as integer   */
/*                                                              */
/*      Date            : 1991-02-25                            */
/*      1991-02-25 : new routine                                */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_intg a_beqv(a_intg a,a_intg b)
#else
local a_intg a_beqv(a,b)

a_intg a;
a_intg b;
#endif
        {

        E_TPUSH("a_beqv")

        a = ~(a^b);

        E_TPOPP("a_beqv")
        return(a);
        }

