/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: a_bnot.c,v 1.2 1997/09/25 16:49:39 ae59 Exp $ */
/*
$Log: a_bnot.c,v $
 * Revision 1.2  1997/09/25  16:49:39  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:20:39  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : a_bnot.c                              */
/*                                                              */
/*      Entries         : a_intg a_bnot(a)                      */
/*                        a_intg a;                             */
/*                                                              */
/*      Arguments       : a = integer bit operand               */
/*                                                              */
/*      Description     : Bit NOT operation of an integer       */
/*                                                              */
/*      Function value  : logically negated bits of             */
/*                        integers a represented as integer     */
/*                                                              */
/*      Date            : 1991-02-25                            */
/*      1991-02-25 : new routine                                */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_intg a_bnot(a_intg a)
#else
local a_intg a_bnot(a)

a_intg a;
#endif
        {

        E_TPUSH("a_bnot")

        a = ~a;

        E_TPOPP("a_bnot")
        return(a);
        }

