/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: a_bons.c,v 1.2 1997/09/25 16:49:50 ae59 Exp $ */
/*
$Log: a_bons.c,v $
 * Revision 1.2  1997/09/25  16:49:50  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:20:39  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : a_bons.c                              */
/*                                                              */
/*      Entries         : a_intg a_bons(a)                      */
/*                        a_intg a;                             */
/*                                                              */
/*      Arguments       : a = integer bit operand               */
/*                                                              */
/*      Description     : Number of ones in an integer.         */
/*                                                              */
/*      Function value  : number of ones in an integer.         */
/*                                                              */
/*      Date            : 1991-02-25                            */
/*      1991-02-25 : new routine                                */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_intg a_bons(a_intg a)
#else
local a_intg a_bons(a)

a_intg a;
#endif
        {
        a_intg res;

        E_TPUSH("a_bons")

        res = 0;
        while (a)
           {
           if (a<0) res++;
           a <<= 1;
           }

        E_TPOPP("a_bons")
        return(res);
        }

