/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: a_lloc.c,v 1.2 1997/09/25 16:52:07 ae59 Exp $ */
/*
$Log: a_lloc.c,v $
 * Revision 1.2  1997/09/25  16:52:07  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:20:46  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : a_lloc.c                              */
/*                                                              */
/*      Entries         : a_VOID a_lloc(i)                      */
/*                        size_t i;                             */
/*                                                              */
/*      Arguments       : i = size of object to be allocated    */
/*                                                              */
/*      Description     : Allocation of object.                 */
/*                                                              */
/*      Date            : 1991-03-14                            */
/*      1991-03-14 : message text displayed                     */
/*      1990-11-15 : E_TPUSH+E_TPOPP                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_VOID a_lloc(size_t i)
#else
local a_VOID a_lloc(i)

size_t i;
#endif
        {
        char *p;

        E_TPUSH("a_lloc")

        if ((p = (char *)malloc(i))==NULL)
           e_trap(ALLOCATION | E_EXIT,2,E_TMSG,46);
#ifdef HEAP_CHECK
b_geth((a_char *)&p,(a_char *)p,(a_char *)"a_lloc");
#endif

        E_TPOPP("a_lloc")
        return(p);
        }
