/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: a_tick.c,v 1.2 1997/09/25 16:53:56 ae59 Exp $ */
/*
$Log: a_tick.c,v $
 * Revision 1.2  1997/09/25  16:53:56  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:20:51  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : a_tick.c                              */
/*                                                              */
/*      Entries         : a_intg a_tick()                       */
/*                                                              */
/*      Description     : Get value of macro CLOCKS_PER_SEC     */
/*                                                              */
/*      Function value  : Value of CLOCKS_PER_SEC               */
/*                                                              */
/*      Date            : 1991-02-25                            */
/*      1991-02-25 : new routine                                */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_intg a_tick(void)
#else
local a_intg a_tick()
#endif
        {
        a_intg res;

        E_TPUSH("a_tick")

        res = (a_intg)CLOCKS_PER_SEC;

        E_TPOPP("a_tick")
        return(res);
        }

