/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: b_addc.c,v 1.2 1997/09/25 16:54:46 ae59 Exp $ */
/*
$Log: b_addc.c,v $
 * Revision 1.2  1997/09/25  16:54:46  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:20:54  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : b_addc.c                              */
/*                                                              */
/*      Entry           : void b_addc(a)                        */
/*                        a_btyp *a;                            */
/*                                                              */
/*      Arguments       : a = array of a_btyp                   */
/*                                                              */
/*      Description     : Propagate carry to a_btyp array       */
/*                                                              */
/*      Date            : 1990-07-16                            */
/*      1990-07-16 : LINT_ARGS prototype                        */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local void b_addc(a_btyp *a)
#else
local void b_addc(a)

a_btyp *a;
#endif
        {
#if C_P_1
        while (++(*a)==ZERO) a--;
#else
        while (*a==MAX_BASETYPE) *a-- = ZERO;
        (*a)++;
#endif

        return;
        }

