/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: b_bclr.c,v 1.2 1997/09/25 16:57:32 ae59 Exp $ */
/*
$Log: b_bclr.c,v $
 * Revision 1.2  1997/09/25  16:57:32  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:21:04  ae59
 * Put under RCS control
 *
 */
/************************************************************************/
/*                                                                      */
/* Descriptive Name : b_bclr.c          Processor : C                   */
/*                                                                      */
/* Reset intern variable to initialization status                       */
/*                                                                      */
/* Function value : int     0 - intern variable initialized             */
/*                                                                      */
/* Function references : none                                           */
/*                                                                      */
/*      Date            : 1990-07-16                                    */
/*      1990-07-16 : LINT_ARGS prototype                                */
/************************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local int b_bclr(multiprecision i)
#else
local int b_bclr(i)

multiprecision i;               /* variable to be initialized           */
#endif
        {
/*----------------------------------------------------------------------*/
        i->z = 1;
        i->s = 0;
        i->r = 0;
        i->e = 0;
        B_CLEAR(i->m,i->l)
/*----------------------------------------------------------------------*/
        return(0);
        }
