/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: b_bini.c,v 1.2 1997/09/25 16:58:12 ae59 Exp $ */
/*
$Log: b_bini.c,v $
 * Revision 1.2  1997/09/25  16:58:12  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:21:07  ae59
 * Put under RCS control
 *
 */
/************************************************************************/
/*                                                                      */
/* Descriptive Name : b_bini.c          Processor : C                   */
/*                                                                      */
/* Initialize intern variable                                           */
/*                                                                      */
/* Function value : int     0 - intern variable initialized             */
/*                                                                      */
/* Function references : none                                           */
/*                                                                      */
/*      Date            : 1990-07-16                                    */
/*      1990-07-16 : LINT_ARGS prototype                                */
/************************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local int b_bini(multiprecision i)
#else
local int b_bini(i)

multiprecision i;               /* variable to be initialized           */
#endif
        {
/*----------------------------------------------------------------------*/
        i->z = 1;               /* value is zero                        */
        i->s = 0;               /* sign is positive                     */
        i->r = 0;               /* no rounding                          */
        i->f = 0;               /* permanent value                      */
        i->e = 0;               /* set exponent                         */
        i->l = 0;               /* set length of mantissa               */
        i->m = NULL;            /* set pointer to mantissa              */
/*----------------------------------------------------------------------*/
        return(0);
        }
