/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: b_bpnt.c,v 1.2 1997/09/25 17:00:07 ae59 Exp $ */
/*
$Log: b_bpnt.c,v $
 * Revision 1.2  1997/09/25  17:00:07  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:21:14  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : b_bpnt.c                              */
/*                                                              */
/*      Entries         : int b_bpnt(a)                         */
/*                        a_intv a;                             */
/*                                                              */
/*      Arguments       : a = interval argument of function     */
/*                                                              */
/*      Description     : Check whether a is a point interval   */
/*                                                              */
/*      Date            : 1990-10-18                            */
/*      1990-10-18 : real operations                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local int b_bpnt( a_intv a )
#else
local int b_bpnt( a )
a_intv a;
#endif

        {
        return (r_eq(a.INF,a.SUP));
        }
