/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: d_assi.c,v 1.2 1997/09/25 17:12:17 ae59 Exp $ */
/*
$Log: d_assi.c,v $
 * Revision 1.2  1997/09/25  17:12:17  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:21:59  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : d_assi.c                              */
/*                                                              */
/*      Entries         : void d_assi(a,b)                      */
/*                        d_otpi *a, b     ;                    */
/*                                                              */
/*      Arguments       : a = dotprecision variable assigned to */
/*                        b = dotprecision value to be assigned */
/*                                                              */
/*      Description     : Assignment of intervall dotprecision  */
/*                        variables                             */
/*                                                              */
/*      Date            : 1992-10-21                            */
/*      1992-10-21 : new                                        */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local void d_assi(d_otpi *a,d_otpi b)
#else
local void d_assi(a,b)

d_otpi *a;
d_otpi b;
#endif
{
     E_TPUSH("d_assi")
	d_ass(&(a->INF),b.INF);
     d_ass(&(a->SUP),b.SUP);
     E_TPOPP("d_assi")

     return;
}
