/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: d_temp.c,v 1.2 1997/09/25 17:15:14 ae59 Exp $ */
/*
$Log: d_temp.c,v $
 * Revision 1.2  1997/09/25  17:15:14  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:22:10  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : d_temp.c                              */
/*                                                              */
/*      Entry           : void d_temp(d)                        */
/*                        dotprecision *d;                      */
/*                                                              */
/*      Arguments       : d - dotprecision variable             */
/*                                                              */
/*      Description     : set temporary flag of dotrepcision    */
/*                                                              */
/*      Date            : 1990-08-09                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local void d_temp(dotprecision *d)
#else
local void d_temp(d)

dotprecision *d;
#endif
        {
        (*d)[A_STATUS] |= A_TEMPORARY;
        return;
        }
