/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: divbody.h,v 1.2 1997/09/25 16:43:20 ae59 Exp $ */
/*
$Log: divbody.h,v $
 * Revision 1.2  1997/09/25  16:43:20  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:22:11  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : divbody.h                             */
/*                                                              */
/*      Description     : Division of a_btyp mantissas          */
/*                                                              */
/*      Date            : 1991-09-10                            */
/*      1991-09-10 : reduced max. line length                   */
/****************************************************************/

        /* denormalized numbers                                 */
        while ( !(HIDDEN_BIT & manta[0]) ) {
#if C_P_3
                manta[0] = (manta[0]<<1) |
                           (manta[1]>>(B_LENGTH-1));
                manta[1] <<= 1;
#else
                b_shl1( manta, D_U_RATIO );
#endif
                expoa--;
                }
        while ( !(HIDDEN_BIT & mantb[0]) ) {
#if C_P_3
                mantb[0] = (mantb[0]<<1) |
                           (mantb[1]>>(B_LENGTH-1));
                mantb[1] <<= 1;
#else
                b_shl1( mantb, D_U_RATIO );
#endif
                expob--;
                }

        /* exponent                                             */
        expoc = expoa-expob;

        /* division of mantissas                                */
        b_mdiv( manta, mantb, mantc, &expoc );

        /* adjust denormalized number                           */
        rc = b_adj(mantc,&expoc);
