/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: f_eofp.c,v 1.2 1997/09/25 17:18:57 ae59 Exp $ */
/*
$Log: f_eofp.c,v $
 * Revision 1.2  1997/09/25  17:18:57  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:22:25  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : f_eofp.c                              */
/*                                                              */
/*      Entry           : void f_eofp()                         */
/*                                                              */
/*      Arguments       : none                                  */
/*                                                              */
/*      Description     : Reset global flag indicating end of   */
/*                        program parameter list reached.       */
/*                                                              */
/*      Date            : 1991-03-07                            */
/*      1991-03-07 : '\n' only if PPLIST is displayed.          */
/*      1991-01-15 : f_pmto used for output                     */
/*      1990-07-16 : LINT_ARGS prototype                        */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
extern a_bool f_pppl;
extern a_bool f_pppd;
extern f_text f_pmto;
#endif

#ifdef LINT_ARGS
local void f_eofp(void)
#else
local void f_eofp()
#endif
        {

        /* end of PASCAL program parameter list and quit if     */
        /* displaying is required for at least one option       */
        if (f_pppd==TRUE)
           {
           if (f_pppl==FALSE) fprintf(f_pmto.fp,"\n");
           exit(0);
           }

        f_pppl = FALSE;
        return;
        }
