/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: f_flsh.c,v 1.2 1997/09/25 17:19:11 ae59 Exp $ */
/*
$Log: f_flsh.c,v $
 * Revision 1.2  1997/09/25  17:19:11  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:22:26  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : f_flsh.c                              */
/*                                                              */
/*      Entry           : void f_flsh(desc)                     */
/*                        f_text *desc;                         */
/*                                                              */
/*      Arguments       : desc   - device descriptor            */
/*                                                              */
/*      Description     : flush buffer of output device.        */
/*                                                              */
/*      Date            : 1991-01-14                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local void f_flsh(f_text *desc)
#else
local void f_flsh(desc)

f_text *desc;
#endif
        {
        E_TPUSH("f_flsh")

        if (desc->asgd==FALSE || desc->fp==NULL)
           e_trap(I_O_ERROR,4,E_TMSG,17,E_TSTR+E_TEXT(8),desc->name);
        else if (desc->infl==TRUE)
           e_trap(I_O_ERROR,4,E_TMSG,34,E_TSTR+E_TEXT(8),desc->name);
        else if (desc->err==TRUE)
           e_trap(I_O_ERROR,4,E_TMSG,35,E_TSTR+E_TEXT(8),desc->name);
        else
           fflush(desc->fp);

        E_TPOPP("f_flsh")
        }




