/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: f_rdf1.c,v 1.2 1997/09/25 17:20:18 ae59 Exp $ */
/*
$Log: f_rdf1.c,v $
 * Revision 1.2  1997/09/25  17:20:18  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:22:30  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : f_rdf1.c                              */
/*                                                              */
/*      Entry           : void f_rdf1(desc,r)                   */
/*                        FILE *desc;                           */
/*                        a_real *r;                            */
/*                                                              */
/*      Arguments       : desc   - device descriptor            */
/*                        r      - real variable                */
/*                                                              */
/*      Description     : perform PASCAL read(real).            */
/*                        real is C-supported real              */
/*                                                              */
/*      Date            : 1991-02-01                            */
/*      1991-02-01 : f_getc() used instead of fgetc()           */
/*      1991-01-29 : code reduced using b_text()                */
/*      1990-11-15 : E_TPUSH+E_TPOPP                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local void f_rdf1(f_text *desc,a_real *r)
#else
local void f_rdf1(desc,r)

f_text *desc;
a_real *r;
#endif
        {
        int i;          /* !!! must be int !!! */

        E_TPUSH("f_rdf1")

        if (b_text(desc,TRUE))
           {
           i = (int)desc->win.ch[0];
           r_rdcr(desc->fp,r,(a_intg)0,i);
           f_getc(desc);
           }

        E_TPOPP("f_rdf1")
        }
