/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: f_rdh1.c,v 1.2 1997/09/25 17:20:26 ae59 Exp $ */
/*
$Log: f_rdh1.c,v $
 * Revision 1.2  1997/09/25  17:20:26  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:22:30  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : f_rdh1.c                              */
/*                                                              */
/*      Entry           : void f_rdh1(desc,h)                   */
/*                        FILE *desc;                           */
/*                        a_char *h;                            */
/*                                                              */
/*      Arguments       : desc   - device descriptor            */
/*                        h      - character                    */
/*                                                              */
/*      Description     : perform PASCAL read(character)        */
/*                                                              */
/*      Date            : 1991-02-01                            */
/*      1991-02-01 : f_getc() used instead of fgetc()           */
/*      1991-01-29 : code reduced using b_text()                */
/*      1990-11-15 : E_TPUSH+E_TPOPP                            */
/*      1990-07-16 : LINT_ARGS prototype                        */
/*      1990-07-30 : char replaced by a_char                    */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local void f_rdh1(f_text *desc,a_char *h)
#else
local void f_rdh1(desc,h)

f_text *desc;
a_char *h;
#endif
        {
        E_TPUSH("f_rdh1")

        if (b_text(desc,TRUE))
           {
           *h = desc->win.ch[0];
           f_getc(desc);
           }

        E_TPOPP("f_rdh1")
        }
