/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: f_wrh1.c,v 1.2 1997/09/25 17:24:14 ae59 Exp $ */
/*
$Log: f_wrh1.c,v $
 * Revision 1.2  1997/09/25  17:24:14  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:22:42  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : f_wrh1.c                              */
/*                                                              */
/*      Entry           : void f_wrh1(desc,h)                   */
/*                        f_text *desc;                         */
/*                        a_char h;                             */
/*                                                              */
/*      Arguments       : desc   - device descriptor            */
/*                        h      - character                    */
/*                                                              */
/*      Description     : perform PASCAL write(character)       */
/*                                                              */
/*      Date            : 1991-02-01                            */
/*      1991-02-01 : f_putc() used instead of fputc()           */
/*      1991-01-29 : code reduced using b_text()                */
/*      1991-01-25 : fprintf replaced by fputc                  */
/*      1990-11-15 : E_TPUSH+E_TPOPP                            */
/*      1990-07-30 : char replaced by a_char                    */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local void f_wrh1(f_text *desc,a_char h)
#else
local void f_wrh1(desc,h)

f_text *desc;
a_char h;
#endif
        {
        E_TPUSH("f_wrh1")

        if (b_text(desc,FALSE))
           f_putc((a_char)h,desc);

        E_TPOPP("f_wrh1")
        }
