/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: f_wrr3.c,v 1.2 1997/09/25 17:25:57 ae59 Exp $ */
/*
$Log: f_wrr3.c,v $
 * Revision 1.2  1997/09/25  17:25:57  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:22:47  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : f_wrr3.c                              */
/*                                                              */
/*      Entry           : void f_wrr3(desc,r,w,f)               */
/*                        f_text *desc;                         */
/*                        a_real r;                             */
/*                        a_intg w;                             */
/*                        a_intg f;                             */
/*                                                              */
/*      Arguments       : desc   - device descriptor            */
/*                        r      - real value                   */
/*                        w      - width of output field        */
/*                        f      - fractional digits            */
/*                                                              */
/*      Description     : perform PASCAL write(real:w:f).       */
/*                                                              */
/*      Date            : 1991-01-29                            */
/*      1991-01-29 : code reduced using b_text()                */
/*      1990-11-15 : E_TPUSH+E_TPOPP                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local void f_wrr3(f_text *desc,a_real r,a_intg w,a_intg f)
#else
local void f_wrr3(desc,r,w,f)

f_text *desc;
a_real r;
a_intg w;
a_intg f;
#endif
        {
        E_TPUSH("f_wrr3")

        if (b_text(desc,FALSE))
           r_writ(desc->fp,r,w,f,(a_intg)0);

        E_TPOPP("f_wrr3")
        }
