/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: i_ista.c,v 1.2 1997/09/25 17:29:15 ae59 Exp $ */
/*
$Log: i_ista.c,v $
 * Revision 1.2  1997/09/25  17:29:15  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:22:58  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : i_ista.c                              */
/*                                                              */
/*      Entries         : a_intv i_ista(cl,cu)                  */
/*                        dotprecision cl,cu;                   */
/*                                                              */
/*      Arguments       : cl= dotprecision value(lower bound)   */
/*                        cu= dotprecision value(upper bound)   */
/*                                                              */
/*      Description     : Round to interval                     */
/*                                                              */
/*      Date            : 1990-11-22                            */
/*      1990-11-22 : E_TPUSH+E_TPOPP                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_intv i_ista(dotprecision cl,dotprecision cu)
#else
local a_intv i_ista(cl,cu)

dotprecision cl;
dotprecision cu;
#endif
        {
        a_intv res;

        E_TPUSH("i_ista")

        res.INF = d_stad(cl);
        res.SUP = d_stau(cu);

        E_TPOPP("i_ista")
        return(res);
        }

