/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: l_init.c,v 1.2 1997/09/25 17:36:08 ae59 Exp $ */
/*
$Log: l_init.c,v $
 * Revision 1.2  1997/09/25  17:36:08  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:23:21  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : l_init.c                              */
/*                                                              */
/*      Entries         : void l_init(a)                        */
/*                        multiprecision *a;                    */
/*                                                              */
/*      Description     : Initialization of multiprecision      */
/*                        variable.                             */
/*                                                              */
/*      Date            : 1990-11-15                            */
/*      1990-11-15 : E_TPUSH+E_TPOPP                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local void l_init(multiprecision *a)
#else
local void l_init(a)

multiprecision *a;
#endif
        {
        E_TPUSH("l_init")

        /* allocate object                              */
        /* possible pointer allignment problems         */
        *a = (multiprecision)malloc(sizeof(struct intern));

        /* initialize object                            */
        if (*a!=NULL) (void)b_bini(*a);

#ifdef HEAP_CHECK
b_geth((a_char *)a,(a_char *)*a,(a_char *)"l_init");
#endif

        E_TPOPP("l_init")
        return;
        }
