/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: l_mlen.c,v 1.2 1997/09/25 17:36:59 ae59 Exp $ */
/*
$Log: l_mlen.c,v $
 * Revision 1.2  1997/09/25  17:36:59  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:23:23  ae59
 * Put under RCS control
 *
 */

/****************************************************************/
/*                                                              */
/*      Filename        : l_mlen.c                              */
/*                                                              */
/*      Entries         : a_intg l_mlen(a)                      */
/*                                                              */
/*      Arguments       : multiprecision a;                     */
/*                                                              */
/*      Description     : Returns actual length of mantissa     */
/*                        of a multiprecision value.            */
/*                                                              */
/*      Date            : 1991-11-22                            */
/*      1991-11-22 : new routine                                */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_intg l_mlen(multiprecision a)
#else
local a_intg l_mlen(a)
multiprecision a;
#endif
        {
        a_intg l;

        E_TPUSH("l_mlen")

        l = (a->z) ? -(a_intg)(MAXINT) : (a_intg)a->l;

        if (a->f) l_free(&a);

        E_TPOPP("l_mlen")
        return(l);
        }
