/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: r_ass.c,v 1.2 1997/09/25 17:42:49 ae59 Exp $ */
/*
$Log: r_ass.c,v $
 * Revision 1.2  1997/09/25  17:42:49  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:23:48  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : r_ass.c                               */
/*                                                              */
/*      Entries         : void r_ass(x,y)                       */
/*                                                              */
/*      Arguments       : a_real *x,y;                          */
/*                                                              */
/*      Description     : assign value y to x.                  */
/*                                                              */
/*      Note            : No signaling NaN exception activated. */
/*                                                              */
/*      Date            : 1990-11-19                            */
/*      1990-11-19 : E_TPUSH+E_TPOPP                            */
/*      1990-09-03 : reduced code                               */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local void r_ass(a_real *x,a_real y)
#else
local void r_ass(x,y)

a_real *x;
a_real y;
#endif
        {
        E_TPUSH("r_ass")

        (void)memcpy((char *)x,(char *)&y,sizeof(a_real));

        E_TPOPP("r_ass")
        return;
        }

