/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: r_exp2.c,v 1.2 1997/09/25 17:45:55 ae59 Exp $ */
/*
$Log: r_exp2.c,v $
 * Revision 1.2  1997/09/25  17:45:55  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:23:57  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : r_exp2.c                              */
/*                                                              */
/*      Entries         : a_real r_exp2(a)                      */
/*                        a_real a;                             */
/*                                                              */
/*      Arguments       : a = argument of power of 2            */
/*                                                              */
/*      Description     : 2 power a                             */
/*                                                              */
/*      Date            : 1991-11-14                            */
/*      1991-11-14 : save and restore flags                     */
/*      1991-02-21 : extern L...() declaration removed          */
/*      1990-10-18 : real constant replaced by reference        */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
extern a_real *r_two_;
#endif

#ifdef LINT_ARGS
local a_real r_exp2(a_real a)
#else
local a_real r_exp2(a)

a_real a;
#endif
        {
        a_real res;
        a_btyp rc;

        E_SPUSH("r_exp2")

        if ((rc = b_inv2(Lpower,*r_two_,a,&res,0))!=0)
           e_trap(INV_ARG,4,E_TDBL+E_TEXT(7),&a,E_TINT+E_TEXT(16),&rc);

        E_SPOPP("r_exp2")
        return(res);
        }
