/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: r_sqr_.c,v 1.2 1997/09/25 17:50:53 ae59 Exp $ */
/*
$Log: r_sqr_.c,v $
 * Revision 1.2  1997/09/25  17:50:53  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:24:13  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : r_sqr_.c                              */
/*                                                              */
/*      Entries         : a_real r_sqr_(a)                      */
/*                        a_real a;                             */
/*                                                              */
/*      Arguments       : a = IEEE operand                      */
/*                                                              */
/*      Description     : Square of IEEE value.                 */
/*                                                              */
/*      Date            : 1991-11-14                            */
/*      1991-11-14 : save and restore flags                     */
/*      1991-04-22 : real assignment replaced by R_ASSIGN()     */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_real r_sqr_(a_real a)
#else
local a_real r_sqr_(a)

a_real a;
#endif
        {
        E_SPUSH("r_sqr_")

        R_ASSIGN(a,r_muln(a,a));

        E_SPOPP("r_sqr_")
        return(a);
        }
