/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: r_umin.c,v 1.2 1997/09/25 17:52:20 ae59 Exp $ */
/*
$Log: r_umin.c,v $
 * Revision 1.2  1997/09/25  17:52:20  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:24:17  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : r_umin.c                              */
/*                                                              */
/*      Entries         : a_real r_umin(a)                      */
/*                        a_real a;                             */
/*                                                              */
/*      Arguments       : a = IEEE operand                      */
/*                                                              */
/*      Description     : Change sign of IEEE value.            */
/*                                                              */
/*      Note            : signaling NaN not checked             */
/*                                                              */
/*      Date            : 1990-11-20                            */
/*      1990-11-20 : E_TPUSH+E_TPOPP                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_real r_umin(a_real a)
#else
local a_real r_umin(a)

a_real a;
#endif
        {
        a_intg expo;
        a_bool vza;
        a_btyp manta[D_U_RATIO];

        E_TPUSH("r_umin")

        (void)b_deko(a,&expo,manta,&vza);
        b_comp(&a,expo,manta,NOT(vza));

        E_TPOPP("r_umin")
        return(a);
        }
