/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: s_ssle.c,v 1.2 1997/09/25 18:03:12 ae59 Exp $ */
/*
$Log: s_ssle.c,v $
 * Revision 1.2  1997/09/25  18:03:12  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:24:50  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : s_ssle.c                              */
/*                                                              */
/*      Entries         : a_bool s_ssle(s,t)                    */
/*                        s_trng s,t;                           */
/*                                                              */
/*      Arguments       : s = first string                      */
/*                        t = second string                     */
/*                                                              */
/*      Description     : Compare for less or equal strings.    */
/*                                                              */
/*      Date            : 1990-10-15                            */
/*      1990-10-15 : s.clen replaced by t.clen                  */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_bool s_ssle(s_trng s,s_trng t)
#else
local a_bool s_ssle(s,t)

s_trng s;
s_trng t;
#endif
        {
        a_bool res;

        if (s.clen==0) res = TRUE;
        else if (t.clen==0) res = FALSE;
        else if (s.clen<=t.clen)
           res = (strncmp(s.ptr,t.ptr,s.clen)>0) ? FALSE : TRUE;
        else
           res = (strncmp(s.ptr,t.ptr,t.clen)>=0) ? FALSE : TRUE;

        if (s.tmp) s_free(&s);
        if (t.tmp) s_free(&t);

        return(res);
        }

