/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: s_utmp.c,v 1.2 1997/09/25 18:04:28 ae59 Exp $ */
/*
$Log: s_utmp.c,v $
 * Revision 1.2  1997/09/25  18:04:28  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:24:53  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : s_utmp.c                              */
/*                                                              */
/*      Entry           : void s_utmp(d)                        */
/*                        s_trng *d;                            */
/*                                                              */
/*      Arguments       : d - descriptor of dynamic string      */
/*                                                              */
/*      Description     : reset temporary flag                  */
/*                                                              */
/*      Date            : 1990-10-09                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local void s_utmp(s_trng *d)
#else
local void s_utmp(d)

s_trng *d;
#endif
        {
        d->tmp = FALSE;
        return;
        }
