/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: t_asvt.c,v 1.2 1997/09/25 18:06:22 ae59 Exp $ */
/*
$Log: t_asvt.c,v $
 * Revision 1.2  1997/09/25  18:06:22  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:24:59  ae59
 * Put under RCS control
 *
 */
/*      Date    : 1991-09-06                                    */
/*      1991-09-06 : reduce maximum line length                 */

#ifdef AIX
#include "/u/p88c/runtime/tbyte/t_defs.h"
#else
#include "t_defs.h"
#endif

/*--------------------------------------------------------------*
 | asinviatan                                                   |
 *--------------------------------------------------------------*/
#ifdef ANSI_C
#ifdef LINT_ARGS
int asinviatan(const ExtReal *arg, ExtReal *res)
#else
int asinviatan(arg, res)
const ExtReal  *arg;
      ExtReal  *res;
#endif /* LINT_ARGS */
#else  /* NOT ANSI_C */
#ifdef LINT_ARGS
int asinviatan(ExtReal *arg, ExtReal *res)
#else
int asinviatan(arg, res)
ExtReal  *arg;
ExtReal  *res;
#endif /* LINT_ARGS */
#endif /* ANSI_C */
{
   ExtReal     r;          /* ZwischenErgebnisse                */
   ExtReal     r1p;        /*                                   */
   ExtReal     r1m;        /*                                   */
   ExtReal     rsqrt;      /*                                   */
   ExtReal     rdiv;       /*                                   */
   int         ret;        /* Rueckgabe                         */

   subee(&One, arg, &r1m);
   addee(&One, arg, &r1p);
   mulee(&r1p, &r1m, &r);
   sqrtee(&r, &rsqrt);

   divee(arg, &rsqrt, &rdiv);

   ret = _s_atan(&rdiv, res);

   return ret;
} /* asinviatan() */
