/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: t_cha2.c,v 1.2 1997/09/25 18:07:10 ae59 Exp $ */
/*
$Log: t_cha2.c,v $
 * Revision 1.2  1997/09/25  18:07:10  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:25:01  ae59
 * Put under RCS control
 *
 */
/*      Date    : 1991-09-06                                    */
/*      1991-09-06 : reduce maximum line length                 */

#ifdef AIX
#include "/u/p88c/runtime/tbyte/t_defs.h"
#else
#include "t_defs.h"
#endif

#define IfNoErr(A)      \
   if (NoErr==(exc=A))

/*--------------------------------------------------------------*
 | Pruefe arg der PunktFunktionen mit 2 Argumenten              |
 *--------------------------------------------------------------*/
#ifdef ANSI_C
#ifdef LINT_ARGS
int chk_arg_2(int fct,const ExtReal *arg1,const ExtReal *arg2,
              ExtReal *res)
#else
int chk_arg_2(fct, arg1, arg2, res)
      int      fct;        /* FunktionsNummer                   */
const ExtReal  *arg1;
const ExtReal  *arg2;
      ExtReal  *res;
#endif /* LINT_ARGS */
#else  /* NOT ANSI_C */
#ifdef LINT_ARGS
int chk_arg_2(int fct, ExtReal *arg1, ExtReal *arg2, ExtReal *res)
#else
int chk_arg_2(fct, arg1, arg2, res)
int      fct;        /* FunktionsNummer                         */
ExtReal  *arg1;
ExtReal  *arg2;
ExtReal  *res;
#endif /* LINT_ARGS */
#endif /* ANSI_C */
{
   int      exc;

   IfNoErr( chk_1(fct, arg1) )
   IfNoErr( chk_1(fct, arg2) )
      return NoErr;

   /* --- FehlerHandle --- */
   return exc_handle_2(fct, exc, arg1, arg2, res);

} /* chk_arg_2() */
