/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: t_chiv.c,v 1.2 1997/09/25 18:07:47 ae59 Exp $ */
/*
$Log: t_chiv.c,v $
 * Revision 1.2  1997/09/25  18:07:47  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:25:03  ae59
 * Put under RCS control
 *
 */
#ifdef AIX
#include "/u/p88c/runtime/tbyte/t_defs.h"
#else
#include "t_defs.h"
#endif

/*--------------------------------------------------------------*
 | check Intervall Argument u>=l                                |
 *--------------------------------------------------------------*/
#ifdef ANSI_C
#ifdef LINT_ARGS
int chk_ival(const IExtReal *arg)
#else
int chk_ival(arg)
const IExtReal *arg;
#endif /* LINT_ARGS */
#else  /* NOT ANSI_C */
#ifdef LINT_ARGS
int chk_ival(IExtReal *arg)
#else
int chk_ival(arg)
IExtReal *arg;
#endif /* LINT_ARGS */
#endif /* ANSI_C */
{
   if(-1==cmpee(&(arg->u), &(arg->l))) return ExcNoI;

   return NoErr;
} /* chk_ival() */
