/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: t_dhl2.c,v 1.2 1997/09/25 18:11:22 ae59 Exp $ */
/*
$Log: t_dhl2.c,v $
 * Revision 1.2  1997/09/25  18:11:22  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:25:15  ae59
 * Put under RCS control
 *
 */
#ifdef AIX
#include "/u/p88c/runtime/tbyte/t_defs.h"
#else
#include "t_defs.h"
#endif

/*--------------------------------------------------------------*
 | Default Handle PunktFunktionen mit 2 Argumenten              |
 *--------------------------------------------------------------*/
#ifdef ANSI_C
#ifdef LINT_ARGS
int default_handle_2(int fct, int exc,
                     const ExtReal *arg1, const ExtReal *arg2, ExtReal *res)
#else
int default_handle_2(fct, exc, arg1, arg2, res)
      int      fct;
      int      exc;
const ExtReal  *arg1;
const ExtReal  *arg2;
      ExtReal  *res;
#endif /* LINT_ARGS */
#else  /* NOT ANSI_C */
#ifdef LINT_ARGS
int default_handle_2(int fct, int exc,
                     ExtReal *arg1, ExtReal *arg2, ExtReal *res)
#else
int default_handle_2(fct, exc, arg1, arg2, res)
int      fct;
int      exc;
ExtReal  *arg1;
ExtReal  *arg2;
ExtReal  *res;
#endif /* LINT_ARGS */
#endif /* ANSI_C */
{
   switch(fct) {
   case  Pow:
   default:
      copyee(&Zero, res);
      break;
   } /* switch(fct) */

   /* --- kein Fehler moeglich --- */
   return NoErr;
} /* default_handle_2() */
