/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: t_icpe.c,v 1.2 1997/09/25 18:16:26 ae59 Exp $ */
/*
$Log: t_icpe.c,v $
 * Revision 1.2  1997/09/25  18:16:26  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:25:30  ae59
 * Put under RCS control
 *
 */
#ifdef AIX
#include "/u/p88c/runtime/tbyte/t_defs.h"
#else
#include "t_defs.h"
#endif

/*--------------------------------------------------------------*
 | icopyee                                                      |
 *--------------------------------------------------------------*/
#ifdef ANSI_C
#ifdef LINT_ARGS
int icopyee (const IExtReal *arg, IExtReal *res)
#else
int icopyee (arg, res)
const IExtReal   *arg;
      IExtReal   *res;
#endif /* LINT_ARGS */
#else  /* NOT ANSI_C */
#ifdef LINT_ARGS
int icopyee (IExtReal *arg, IExtReal *res)
#else
int icopyee (arg, res)
IExtReal   *arg;
IExtReal   *res;
#endif /* LINT_ARGS */
#endif /* ANSI_C */
{
   int   ret;

   ret = copyee(&(arg->u), &(res->u));
   ret = copyee(&(arg->l), &(res->l));

   return ret;
} /* icopyee() */
