/**********************************************************************/
/*                                                                    */
/*   "DP_ALLOC.H"                                                     */
/*                                                                    */
/*   Last change    == Dec-20-90 ==                                   */
/*        A.Just / R.Hammer                                           */
/*                                                                    */
/* This file contains the prototype declarations of the functions in  */
/* "DP_ALLOC.C".                                                      */
/*                                                                    */
/**********************************************************************/



#ifdef LINT_ARGS
     global tNODE   *d_getnode     ( void );
     global char    *d_getstring   ( char* );
     global tNODE   *d_instnode    ( tNODE*, char , char );
     global tNODE   *d_extrnode    ( tNODE*  );
     global void     d_freetree    ( tNODE*  );
#else
     global tNODE   *d_getnode     ();
     global char    *d_getstring   ();
     global tNODE   *d_instnode    ();
     global tNODE   *d_extrnode    ();
     global void     d_freetree    ();
#endif
