/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: a_defs.h,v 1.2 1997/09/25 16:42:04 ae59 Exp $ */
/*
$Log: a_defs.h,v $
 * Revision 1.2  1997/09/25  16:42:04  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:20:43  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : a_defs.h                              */
/*                                                              */
/*      Date            : 1991-12-19                            */
/*      1991-12-19 : rounding modes always defined if HARDWARE  */
/*      1991-06-20 : rounding modes for tenbyte operations      */
/****************************************************************/

#ifdef IEEE_HARDWARE
#if IBM_RT_C
#include <sys/FP.h>
#undef MININT
#define ROUND_DOWN              FP_DOWN
#define ROUND_NEAR              FP_NEAR
#define ROUND_UP                FP_UP
#else
#define ROUND_DOWN              (-1)
#define ROUND_NEAR              0
#define ROUND_UP                1
#endif
#endif

/* Rounding modes used by tenbyte arithemtic operations */
/*    DO NOT CHANGE THESE DEFINITIONS    */
#define DOWN            (-UP)
#define NEAREST         0
#define UP              1
#define CHOP            2

