/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: a_nilc.c,v 1.2 1997/09/25 16:52:40 ae59 Exp $ */
/*
$Log: a_nilc.c,v $
 * Revision 1.2  1997/09/25  16:52:40  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:20:47  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : a_nilc.c                              */
/*                                                              */
/*      Entries         : a_VOID a_nilc(a)                      */
/*                        a_VOID a;                             */
/*                                                              */
/*      Arguments       : a = pointer                           */
/*                                                              */
/*      Description     : Test for NULL pointer                 */
/*                                                              */
/*      Function value  : Input pointer.                        */
/*                                                              */
/*      Date            : 1990-11-15                            */
/*      1990-11-15 : E_TPUSH+E_TPOPP                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_VOID a_nilc(a_VOID a)
#else
local a_VOID a_nilc(a)

a_VOID a;
#endif
        {
        E_TPUSH("a_nilc")

        if (a==NULL)
           e_trap(NO_ERROR+E_EXIT,2,E_TMSG,24);

        E_TPOPP("a_nilc")
        return(a);
        }

