/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: a_umin.c,v 1.2 1997/09/25 16:54:15 ae59 Exp $ */
/*
$Log: a_umin.c,v $
 * Revision 1.2  1997/09/25  16:54:15  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:20:52  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : a_umin.c                              */
/*                                                              */
/*      Entries         : a_intg a_umin(a)                      */
/*                        a_intg a;                             */
/*                                                              */
/*      Arguments       : a = integer operand                   */
/*                                                              */
/*      Description     : Unary minus of integer values         */
/*                                                              */
/*      Note            : 0 returned in case of error           */
/*                                                              */
/*      Date            : 1990-11-15                            */
/*      1990-11-15 : E_TPUSH+E_TPOPP                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_intg a_umin(a_intg a)
#else
local a_intg a_umin(a)

a_intg a;
#endif
        {
        E_TPUSH("a_umin")

        if (a!=MININT) a = -a;
        else
           {
           e_trap(OVERFLOW,4,E_TMSG,15,E_TINT+E_TEXT(7),&a);
           a = 0;
           }

        E_TPOPP("a_umin")
        return(a);
        }

