/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: b_accu.c,v 1.2 1997/09/25 16:54:23 ae59 Exp $ */
/*
$Log: b_accu.c,v $
 * Revision 1.2  1997/09/25  16:54:23  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:20:52  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : b_accu.c                              */
/*                                                              */
/*      Description     : Definition of global accumulators.    */
/*                                                              */
/*      Note            : Accumulators are used by old-fashioned*/
/*                        dot product routines only.            */
/*                                                              */
/*      Date            : 1991-01-22                            */
/*      1991-01-22 : VAX_VMS_C considered                       */
/*      1990-10-31 : dummy function which forces linkage        */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

static a_btyp o_accu[4*A_LENGTH];

local dotprecision b_acrl = &o_accu[0];
local dotprecision b_acru = &o_accu[A_LENGTH];
local dotprecision b_acil = &o_accu[2*A_LENGTH];
local dotprecision b_aciu = &o_accu[3*A_LENGTH];

#if VAX_VMS_C
#ifdef LINT_ARGS
local void b_accu(void)
#else
local void b_accu()
#endif
        {
        }
#endif
