/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: b_bcsu.c,v 1.2 1997/09/25 16:57:52 ae59 Exp $ */
/*
$Log: b_bcsu.c,v $
 * Revision 1.2  1997/09/25  16:57:52  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:21:05  ae59
 * Put under RCS control
 *
 */
/************************************************************************/
/*                                                                      */
/* Descriptive Name : b_bcsu.c          Processor : C                   */
/*                                                                      */
/* Propagate borrow in mantissa                                         */
/*                                                                      */
/* Function value :   int     - value of borrow                         */
/*                                                                      */
/* Functione references : none                                          */
/*                                                                      */
/*      Date            : 1990-07-16                                    */
/*      1990-07-16 : LINT_ARGS prototype                                */
/************************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local int b_bcsu(a_intg n,a_btyp *r)
#else
local int b_bcsu(n,r)

a_intg n;               /* number of mantissas added                    */
a_btyp *r;            /* pointer to intern mantissas                  */
#endif
        {
/*----------------------------------------------------------------------*/
        r += n;
        while (--n>=0)
#if C_P_2
        if (--(*(--r))!=MAX_BASETYPE) return(0);
#else
        if (*(--r))
           {
           (*r)--;
           return(0);
           }
        else
           *r = MAX_BASETYPE;
#endif
/*----------------------------------------------------------------------*/
        return(1);
        }
