/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: b_bmts.c,v 1.2 1997/09/25 16:59:37 ae59 Exp $ */
/*
$Log: b_bmts.c,v $
 * Revision 1.2  1997/09/25  16:59:37  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:21:12  ae59
 * Put under RCS control
 *
 */
/************************************************************************/
/*                                                                      */
/* Descriptive Name : b_bmts.c          Processor : C                   */
/*                                                                      */
/* Test mantissa to be non-zero                                         */
/*                                                                      */
/* Function value : int     0 - mantissa is zero                        */
/*                          1 - mantissa is non-zero                    */
/*                                                                      */
/* Function references : none                                           */
/*                                                                      */
/*      Date            : 1990-07-16                            */
/*      1990-07-16 : LINT_ARGS prototype                        */
/************************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local int b_bmts(a_intg n,a_btyp *i)
#else
local int b_bmts(n,i)

a_intg n;               /* length of mantissa                           */
a_btyp *i;            /* pointer to intern mantissa                   */
#endif
        {
/*----------------------------------------------------------------------*/
        while (--n>=0) if (*i++) return(1);
/*----------------------------------------------------------------------*/
        return(0);
        }
