/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: b_rndu.c,v 1.2 1997/09/25 17:06:19 ae59 Exp $ */
/*
$Log: b_rndu.c,v $
 * Revision 1.2  1997/09/25  17:06:19  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:21:39  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : b_rndu.c                              */
/*                                                              */
/*      Entries         : a_btyp b_rndu(lang,expo,vz)           */
/*                        a_btyp *lang;                         */
/*                        a_intg *expo;                         */
/*                        a_bool vz;                            */
/*                                                              */
/*      Arguments       : lang = result mantissa of length BSIZE*/
/*                        expo = exponent of result             */
/*                        vz = sign of result                   */
/*                                                              */
/*      Description     : Round upwards to IEEE number by       */
/*                        changing value of lang+D_U_RATIO-1    */
/*                                                              */
/*      Function value  : error code                            */
/*                        OVERFLOW - overflow occurred          */
/*                        INEXACT - inexact result              */
/*                                                              */
/*      Date            : 1990-07-16                            */
/*      1990-07-16 : LINT_ARGS prototype                        */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_btyp b_rndu(a_btyp *lang,a_intg *expo,a_bool vz)
#else
local a_btyp b_rndu(lang,expo,vz)

a_btyp *lang;
a_intg *expo;
a_bool vz;
#endif
        {
        return(b_rndd(lang,expo,NOT(vz)));
        }
