/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: b_test.c,v 1.2 1997/09/25 17:09:13 ae59 Exp $ */
/*
$Log: b_test.c,v $
 * Revision 1.2  1997/09/25  17:09:13  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:21:49  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : b_test.c                              */
/*                                                              */
/*      Entry           : a_bool b_test(n,a)                    */
/*                        a_intg n;                             */
/*                        a_btyp *a;                            */
/*                                                              */
/*      Arguments       : n = length of a_btyp array            */
/*                        a = a_btyp array                      */
/*                                                              */
/*      Function value  : TRUE if all elements are ZERO         */
/*                        FALSE if at least one non-zero element*/
/*                                                              */
/*      Description     : Test for zero a_btyp array            */
/*                                                              */
/*      Date            : 1990-07-16                            */
/*      1990-07-16 : LINT_ARGS prototype                        */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_bool b_test(a_intg n,a_btyp *a)
#else
local a_bool b_test(n,a)

a_intg n;
a_btyp *a;
#endif
        {
        while (--n>=0) if (*a++) return(FALSE);

        return(TRUE);
        }
