/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: c_stau.c,v 1.2 1997/09/25 17:11:53 ae59 Exp $ */
/*
$Log: c_stau.c,v $
 * Revision 1.2  1997/09/25  17:11:53  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:21:58  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : c_stau.c                              */
/*                                                              */
/*      Entries         : a_cmpx c_stau(cr,ci)                  */
/*                        dotprecision cr,ci;                   */
/*                                                              */
/*      Arguments       : cr= dotprecision variable(real)       */
/*                        ci= dotprecision variable(imaginary)  */
/*                                                              */
/*      Description     : Convert dotprecision to complex       */
/*                                                              */
/*      Date            : 1990-11-22                            */
/*      1990-11-22 : E_TPUSH+E_TPOPP                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_cmpx c_stau(dotprecision cr,dotprecision ci)
#else
local a_cmpx c_stau(cr,ci)

dotprecision cr;
dotprecision ci;
#endif
        {
        a_cmpx res;

        E_TPUSH("c_stau")

        res.RE = d_stau(cr);
        res.IM = d_stau(ci);

        E_TPOPP("c_stau")
        return(res);
        }

