/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: d_assc.c,v 1.2 1997/09/25 17:12:08 ae59 Exp $ */
/*
$Log: d_assc.c,v $
 * Revision 1.2  1997/09/25  17:12:08  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:21:59  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : d_assc.c                              */
/*                                                              */
/*      Entries         : void d_assc(a,b)                      */
/*                        d_otpc *a, b     ;                    */
/*                                                              */
/*      Arguments       : a = complex dotprecision variable     */
/*                            assigned to                       */
/*                        b = complex dotprecision value to be  */
/*                            assigned                          */
/*                                                              */
/*      Description     : Assignment of intervall dotprecision  */
/*                        variables                             */
/*                                                              */
/*      Date            : 1992-10-21                            */
/*      1992-10-21 : new                                        */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local void d_assc(d_otpc *a,d_otpc b)
#else
local void d_assc(a,b)

d_otpc *a;
d_otpc b;
#endif
{
     E_TPUSH("d_assc")
	d_ass(&(a->RE ),b.RE );
     d_ass(&(a->IM ),b.IM );
     E_TPOPP("d_assc")

     return;
}

