/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: d_chs.c,v 1.2 1997/09/25 17:12:32 ae59 Exp $ */
/*
$Log: d_chs.c,v $
 * Revision 1.2  1997/09/25  17:12:32  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:22:01  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : d_chs.c                               */
/*                                                              */
/*      Entries         : dotprecision d_chs(a)                 */
/*                        dotprecision a;                       */
/*                                                              */
/*      Arguments       : a = dotprecision value                */
/*                                                              */
/*      Function value  : negative dotprecision value           */
/*                                                              */
/*      Description     : Change sign of dotprecision value     */
/*                                                              */
/*      Date            : 1990-07-16                            */
/*      1990-07-13 : LINT_ARGS prototype                        */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local dotprecision d_chs(dotprecision a)
#else
local dotprecision d_chs(a)

dotprecision a;
#endif
        {
        dotprecision c;

        d_init(&c);

        d_ass(&c,a);

        if (c[A_BEGIN]) c[A_SIGN] = 1-c[A_SIGN];

        c[A_STATUS] |= A_TEMPORARY;
        return(c);
        }
