/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: d_clr.c,v 1.2 1997/09/25 17:12:39 ae59 Exp $ */
/*
$Log: d_clr.c,v $
 * Revision 1.2  1997/09/25  17:12:39  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:22:01  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : d_clr.c                               */
/*                                                              */
/*      Entries         : void d_clr(a)                         */
/*                        dotprecision *a;                      */
/*                                                              */
/*      Arguments       : a = dotprecision variable             */
/*                                                              */
/*      Description     : Clear dotprecision variable           */
/*                                                              */
/*      Date            : 1990-08-09                            */
/*      1990-07-13 : LINT_ARGS prototype                        */
/*      1990-08-09 : variable q removed (unnecessary)           */
/*                   temporary variables cannot be cleared      */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local void d_clr(dotprecision *a)
#else
local void d_clr(a)

dotprecision *a;
#endif
        {
        B_CLEAR((*a),A_LENGTH)
        return;
        }
