/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: f_back.c,v 1.2 1997/09/25 17:18:41 ae59 Exp $ */
/*
$Log: f_back.c,v $
 * Revision 1.2  1997/09/25  17:18:41  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:22:24  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : f_back.c                              */
/*                                                              */
/*      Entry           : void f_back(desc)                     */
/*                        f_text *desc;                         */
/*                                                              */
/*      Arguments       : desc   - file descriptor              */
/*                                                              */
/*      Description     : Write traceback to file.              */
/*                                                              */
/*      Date            : 1991-01-29                            */
/*      1991-01-29 : code reduced using b_text()                */
/*      1990-11-12 : E_TPUSH+E_TPOPP                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local void f_back(f_text *desc)
#else
local void f_back(desc)

f_text *desc;
#endif
        {
        E_TPUSH("f_back")

        if (b_text(desc,FALSE)) e_back(desc->fp);

        E_TPOPP("f_back")
        return;
        }
