/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: f_rdl1.c,v 1.2 1997/09/25 17:20:42 ae59 Exp $ */
/*
$Log: f_rdl1.c,v $
 * Revision 1.2  1997/09/25  17:20:42  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:22:31  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : f_rdl1.c                              */
/*                                                              */
/*      Entry           : void f_rdl1(desc,r)                   */
/*                        f_text *desc;                         */
/*                        multiprecision *r;                    */
/*                                                              */
/*      Arguments       : desc   - device descriptor            */
/*                        r      - multiprecision variable      */
/*                                                              */
/*      Description     : perform PASCAL read(multiprecision).  */
/*                                                              */
/*      Date            : 1991-02-01                            */
/*      1991-02-01 : f_getc() used instead of fgetc()           */
/*      1991-01-29 : code reduced using b_text()                */
/*      1990-11-15 : E_TPUSH+E_TPOPP                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local void f_rdl1(f_text *desc,multiprecision *r)
#else
local void f_rdl1(desc,r)

f_text *desc;
multiprecision *r;
#endif
        {
        E_TPUSH("f_rdl1")

        if (b_text(desc,TRUE))
           {
           l_read(desc->fp,r,(a_intg)0,(a_intg)desc->win.ch[0]);
           f_getc(desc);
           }

        E_TPOPP("f_rdl1")
        }
