/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: f_wrb1.c,v 1.2 1997/09/25 17:23:07 ae59 Exp $ */
/*
$Log: f_wrb1.c,v $
 * Revision 1.2  1997/09/25  17:23:07  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:22:39  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : f_wrb1.c                              */
/*                                                              */
/*      Entry           : void f_wrb1(desc,b)                   */
/*                        f_text *desc;                         */
/*                        a_bool b;                             */
/*                                                              */
/*      Arguments       : desc   - device descriptor            */
/*                        b      - logical value                */
/*                                                              */
/*      Description     : perform PASCAL WRITE(BOOLEAN).        */
/*                                                              */
/*      Date            : 1992-01-16                            */
/*      1992-01-16 : use global o_text instead of constants     */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
extern char *o_text[];
#endif

#ifdef LINT_ARGS
local void f_wrb1(f_text *desc,a_bool b)
#else
local void f_wrb1(desc,b)

f_text *desc;
a_bool b;
#endif
        {
        E_TPUSH("f_wrb1")

        if (b_text(desc,FALSE))
           {
           if (b)
              f_wrc1(desc,(a_char *)o_text[35],
                          strlen(o_text[35]));
           else
              f_wrc1(desc,(a_char *)o_text[34],
                          strlen(o_text[34]));
           }

        E_TPOPP("f_wrb1")
        return;
        }
