/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: f_wrln.c,v 1.2 1997/09/25 17:25:34 ae59 Exp $ */
/*
$Log: f_wrln.c,v $
 * Revision 1.2  1997/09/25  17:25:34  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:22:46  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : f_wrln.c                              */
/*                                                              */
/*      Entry           : void f_wrln(desc)                     */
/*                        f_text *desc;                         */
/*                                                              */
/*      Arguments       : desc   - device descriptor            */
/*                                                              */
/*      Description     : perform PASCAL 'writeln' command.     */
/*                                                              */
/*      Date            : 1991-07-09                            */
/*      1991-07-09 : set eoln=TRUE                              */
/*      1991-02-01 : f_putc() used instead of fputc()           */
/*      1991-01-29 : code reduced using b_text()                */
/*      1990-11-15 : E_TPUSH+E_TPOPP                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local void f_wrln(f_text *desc)
#else
local void f_wrln(desc)

f_text *desc;
#endif
        {
        E_TPUSH("f_wrln")

        if (b_text(desc,FALSE))
           {
           f_putc((a_char)'\n',desc);
           desc->eoln = TRUE;
           }

        E_TPOPP("f_wrln")
        return;
        }
