/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: f_wrr1.c,v 1.2 1997/09/25 17:25:42 ae59 Exp $ */
/*
$Log: f_wrr1.c,v $
 * Revision 1.2  1997/09/25  17:25:42  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:22:47  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : f_wrr1.c                              */
/*                                                              */
/*      Entry           : void f_wrr1(desc,r)                   */
/*                        f_text *desc;                         */
/*                        a_real r;                             */
/*                                                              */
/*      Arguments       : desc   - device descriptor            */
/*                        r      - real value                   */
/*                                                              */
/*      Description     : perform PASCAL write(real).           */
/*                                                              */
/*      Date            : 1991-01-29                            */
/*      1991-01-29 : code reduced using b_text()                */
/*      1991-01-28 : default TotalWidth explicitly specified.   */
/*      1990-11-15 : E_TPUSH+E_TPOPP                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local void f_wrr1(f_text *desc,a_real r)
#else
local void f_wrr1(desc,r)

f_text *desc;
a_real r;
#endif
        {
        E_TPUSH("f_wrr1")

        if (b_text(desc,FALSE))
           r_writ(desc->fp,r,(a_intg)(ExpDigits+4+(301*MANTL/1000+1)),
                             (a_intg)0,(a_intg)0);
        E_TPOPP("f_wrr1");
        }
