/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: l_free.c,v 1.2 1997/09/25 17:35:42 ae59 Exp $ */
/*
$Log: l_free.c,v $
 * Revision 1.2  1997/09/25  17:35:42  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:23:20  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : l_free.c                              */
/*                                                              */
/*      Entries         : void l_free(a)                        */
/*                        multiprecision *a;                    */
/*                                                              */
/*      Description     : Free multiprecision variable.         */
/*                                                              */
/*      Date            : 1990-11-15                            */
/*      1990-11-15 : E_TPUSH+E_TPOPP / consider temporary flag  */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local void l_free(multiprecision *a)
#else
local void l_free(a)

multiprecision *a;
#endif
        {
        E_TPUSH("l_free")

        /* free mantissa                                */
        if ((*a)->l)
           {
#ifdef HEAP_CHECK
b_freh((a_char *)&(*a)->m,(a_char *)(*a)->m,(a_char *)"l_free");
#endif
           B_FREE((*a)->m)
           }

        /* free object                                  */
#ifdef HEAP_CHECK
b_freh((a_char *)a,(a_char *)(*a),(a_char *)"l_free");
#endif
        B_FREE(*a)
        *a = NO_MULTIPRECISION;

        E_TPOPP("l_free")
        return;
        }
