/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: l_prec.c,v 1.2 1997/09/25 17:37:49 ae59 Exp $ */
/*
$Log: l_prec.c,v $
 * Revision 1.2  1997/09/25  17:37:49  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:23:26  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : l_prec.c                              */
/*                                                              */
/*      Entries         : void l_prec(n)                        */
/*                        a_intg n;                             */
/*                                                              */
/*      Description     : Set precision Maxl to n if n>0.       */
/*                                                              */
/*      Date            : 1991-02-14                            */
/*      1991-02-14 : new routine                                */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
extern a_btyp b_maxl;
#endif

#ifdef LINT_ARGS
local void l_prec(a_intg n)
#else
local void l_prec(n)

a_intg n;
#endif
        {
        E_TPUSH("l_prec")

        if (n>0) b_maxl = (a_btyp)n;
        else
           e_trap(INV_ARG,2,E_TINT,&n);

        E_TPOPP("l_prec")
        return;
        }
