/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: l_sign.c,v 1.2 1997/09/25 17:38:40 ae59 Exp $ */
/*
$Log: l_sign.c,v $
 * Revision 1.2  1997/09/25  17:38:40  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:23:28  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : l_sign.c                              */
/*                                                              */
/*      Entries         : a_intg l_sign(a)                      */
/*                        multiprecision a;                     */
/*                                                              */
/*      Description     : Sign of multiprecision value          */
/*                                                              */
/*      Date            : 1990-11-15                            */
/*      1990-11-15 : E_TPUSH+E_TPOPP / consider temporary flag  */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_intg l_sign(multiprecision a)
#else
local a_intg l_sign(a)

multiprecision a;
#endif
        {
        a_intg res;

        E_TPUSH("l_sign")

        if (a->z) res = 0;
        else
           res = (a->s) ? -1 : 1;

        if (a->f) l_free(&a);

        E_TPOPP("l_sign")
        return(res);
        }
