/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: r_cnsd.c,v 1.2 1997/09/25 17:43:49 ae59 Exp $ */
/*
$Log: r_cnsd.c,v $
 * Revision 1.2  1997/09/25  17:43:49  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:23:51  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : r_cnsd.c                              */
/*                                                              */
/*      Entries         : a_real r_cnsd(str)                    */
/*                        char *str;                            */
/*                                                              */
/*      Arguments       : str - input string                    */
/*                                                              */
/*      Description     : Convert a character string            */
/*                        to IEEE double format rounded         */
/*                        downwards.                            */
/*                                                              */
/*      Date            : 1992-02-07                            */
/*      1992-02-07 : chg a_char* str to char* str   =b=         */
/*      1991-04-22 : real assignment replaced by R_ASSIGN()     */
/*      1990-11-20 : E_TPUSH+E_TPOPP                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
extern a_real *r_zero;
#endif

#ifdef LINT_ARGS
local a_real r_cnsd(char *str)
#else
local a_real r_cnsd(str)

char *str;
#endif
        {
        a_real s;
        a_char *next;

        E_TPUSH("r_cnsd")

        R_ASSIGN(s,*r_zero);
        r_conv((a_char *) str,&s,(a_intg)-1,&next);

        E_TPOPP("r_cnsd")
        return(s);
        }

