/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: s_aain.c,v 1.2 1997/09/25 17:53:20 ae59 Exp $ */
/*
$Log: s_aain.c,v $
 * Revision 1.2  1997/09/25  17:53:20  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:24:21  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : s_aain.c                              */
/*                                                              */
/*      Entries         : a_bool s_aain(s,n,t,m)                */
/*                        a_char s[],t[];                       */
/*                        a_intg n,m;                           */
/*                                                              */
/*      Arguments       : s = first string                      */
/*                        n = length of string s                */
/*                        t = second string                     */
/*                        m = length of string t                */
/*                                                              */
/*      Description     : String contained in string.           */
/*                                                              */
/*      Date            : 1990-07-30                            */
/*      1990-07-17 : LINT_ARGS prototype                        */
/*      1990-07-30 : string replaced by a_char[]                */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_bool s_aain(a_char s[],a_intg n,a_char t[],a_intg m)
#else
local a_bool s_aain(s,n,t,m)

a_char s[];
a_intg n;
a_char t[];
a_intg m;
#endif
        {
        a_intg i;

        if (n==0) return(TRUE);
        if (n>m) return(FALSE);

        while (m-->=n)
           {
           if (*t==*s)
              {
              for (i=1;i<n;i++)
                 if (s[i]!=t[i]) break;
              if (i==n) return(TRUE);
              }
           t++;
           }

        return(FALSE);
        }

