/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: s_alen.c,v 1.2 1997/09/25 17:55:17 ae59 Exp $ */
/*
$Log: s_alen.c,v $
 * Revision 1.2  1997/09/25  17:55:17  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:24:26  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : s_alen.c                              */
/*                                                              */
/*      Entry           : a_intg s_alen(d)                      */
/*                        s_trng *d;                            */
/*                                                              */
/*      Arguments       : d - descriptor of dynamic string      */
/*                                                              */
/*      Description     : Determine allocated length of string  */
/*                                                              */
/*      Date            : 1990-11-20                            */
/*      1990-11-20 : argument changed to pointer type           */
/*      1990-11-20 : E_TPUSH+E_TPOPP                            */
/*      1990-10-31 : dynamic strings yield MAXINT               */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_intg s_alen(s_trng *d)
#else
local a_intg s_alen(d)

s_trng *d;
#endif
        {
        a_intg n;

        E_TPUSH("s_alen")

        if (d->fix)
           n = (a_intg)d->alen;
        else
           n = MAXINT;

        E_TPOPP("s_alen")
        return(n);
        }
