/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: s_cagt.c,v 1.2 1997/09/25 17:56:00 ae59 Exp $ */
/*
$Log: s_cagt.c,v $
 * Revision 1.2  1997/09/25  17:56:00  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:24:28  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : s_cagt.c                              */
/*                                                              */
/*      Entries         : a_bool s_cagt(s,t,m)                  */
/*                        a_char s;                             */
/*                        a_char t[];                           */
/*                        a_intg m;                             */
/*                                                              */
/*      Arguments       : s = character                         */
/*                        t = string                            */
/*                        m = length of string t                */
/*                                                              */
/*      Description     : Compare for character greater string. */
/*                                                              */
/*      Date            : 1990-07-30                            */
/*      1990-07-17 : LINT_ARGS prototype                        */
/*      1990-07-30 : string replaced by a_char[]                */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_bool s_cagt(a_char s,a_char t[],a_intg m)
#else
local a_bool s_cagt(s,t,m)

a_char s;
a_char t[];
a_intg m;
#endif
        {
        if (m==0) return(TRUE);
        return((s>*t) ? TRUE : FALSE);
        }

