/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: s_cpos.c,v 1.2 1997/09/25 17:57:15 ae59 Exp $ */
/*
$Log: s_cpos.c,v $
 * Revision 1.2  1997/09/25  17:57:15  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:24:32  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : s_cpos.c                              */
/*                                                              */
/*      Entries         : a_intg s_cpos(s,t)                    */
/*                        a_char s;                             */
/*                        s_trng t;                             */
/*                                                              */
/*      Arguments       : s = character                         */
/*                        t = string                            */
/*                                                              */
/*      Description     : Position of character in string.      */
/*                                                              */
/*      Date            : 1992-07-22                            */
/*      1992-07-22 : cast to void* and char* in memchr=b=       */
/*      1990-11-27 : add 1 to determine position                */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_intg s_cpos(a_char s,s_trng t)
#else
local a_intg s_cpos(s,t)

a_char s;
s_trng t;
#endif
        {
        a_intg k;
        char *pos;

        if (t.clen<=0) k = 0;
        else
           {
           if ((pos = (char*) memchr((void*) t.ptr,(int)s, t.clen))==NULL)
              k = 0;
           else
              k = pos-t.ptr+1;
           }

        if (t.tmp) s_free(&t);

        return(k);
        }

