/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: s_csgt.c,v 1.2 1997/09/25 17:57:43 ae59 Exp $ */
/*
$Log: s_csgt.c,v $
 * Revision 1.2  1997/09/25  17:57:43  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:24:33  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : s_csgt.c                              */
/*                                                              */
/*      Entries         : a_bool s_csgt(s,t)                    */
/*                        a_char s;                             */
/*                        s_trng t;                             */
/*                                                              */
/*      Arguments       : s = character                         */
/*                        t = string                            */
/*                                                              */
/*      Description     : Compare for character greater string. */
/*                                                              */
/*      Date            : 1990-10-09                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_bool s_csgt(a_char s,s_trng t)
#else
local a_bool s_csgt(s,t)

a_char s;
s_trng t;
#endif
        {
        a_bool res;

        if (t.clen==0) res = TRUE;
        else res = (s>t.ptr[0]) ? TRUE : FALSE;

        if (t.tmp) s_free(&t);

        return(res);
        }

