/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: s_etgt.c,v 1.2 1997/09/25 17:58:47 ae59 Exp $ */
/*
$Log: s_etgt.c,v $
 * Revision 1.2  1997/09/25  17:58:47  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:24:36  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : s_etgt.c                              */
/*                                                              */
/*      Entries         : a_bool s_etgt(s,t)                    */
/*                        s_etof s,t;                           */
/*                                                              */
/*      Arguments       : s = first set                         */
/*                        t = second set                        */
/*                                                              */
/*      Description     : Compare for true superset.            */
/*                                                              */
/*      Date            : 1990-07-17                            */
/*      1990-07-17 : LINT_ARGS prototype                        */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_bool s_etgt(s_etof s,s_etof t)
#else
local a_bool s_etgt(s,t)

s_etof s;
s_etof t;
#endif
        {
        size_t i;
        a_bool superset = FALSE;

        for (i=0;i<s_SIZE;i++)
           {
           if ((~s[i]) & t[i]) return(FALSE);
           if (s[i]!=t[i]) superset = TRUE;
           }

        return(superset);
        }
