/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: s_scle.c,v 1.2 1997/09/25 18:01:59 ae59 Exp $ */
/*
$Log: s_scle.c,v $
 * Revision 1.2  1997/09/25  18:01:59  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:24:46  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : s_scle.c                              */
/*                                                              */
/*      Entries         : a_bool s_scle(s,t)                    */
/*                        s_trng s;                             */
/*                        a_char t;                             */
/*                                                              */
/*      Arguments       : s = string                            */
/*                        t = character                         */
/*                                                              */
/*      Description     : Compare for string less or equal      */
/*                        character.                            */
/*                                                              */
/*      Date            : 1990-10-09                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_bool s_scle(s_trng s,a_char t)
#else
local a_bool s_scle(s,t)

s_trng s;
a_char t;
#endif
        {
        a_bool res;

        if (s.clen==0) res = TRUE;
        else if (s.clen>1) res = (s.ptr[0]<t) ? TRUE : FALSE;
        else res = (s.ptr[0]<=t) ? TRUE : FALSE;

        if (s.tmp) s_free(&s);

        return(res);
        }

