/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: s_spos.c,v 1.2 1997/09/25 18:02:36 ae59 Exp $ */
/*
$Log: s_spos.c,v $
 * Revision 1.2  1997/09/25  18:02:36  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:24:48  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : s_spos.c                              */
/*                                                              */
/*      Entries         : a_intg s_spos(s,t,m)                  */
/*                        s_trng s;                             */
/*                        s_trng t;                             */
/*                                                              */
/*      Arguments       : s = character                         */
/*                        t = string                            */
/*                                                              */
/*      Description     : Position of character in string.      */
/*                                                              */
/*      Date            : 1992-07-22                            */
/*      1992-07-22 : cast to void* and char* at memchr =b=      */
/*      1991-01-17 : type of variables n,k -> size_t            */
/*      1990-11-27 : add 1 to determine position                */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local a_intg s_spos(s_trng s,s_trng t)
#else
local a_intg s_spos(s,t)

s_trng s;
s_trng t;
#endif
        {
        size_t n,k = 0;
        char *pos;

        if (s.clen && t.clen)
           {
           pos = t.ptr;
           n = t.clen;
           while (n>=s.clen)
              {
              if ((pos= (char*) memchr((void*) pos,(int)s.ptr[0],n))==NULL) 
			  break;
              if ((n = t.clen-(pos-t.ptr))<s.clen) break;
              if (strncmp(pos,s.ptr,s.clen)==0)
                 {
                 k = pos-t.ptr+1;
                 break;
                 }
              pos++;
              n--;
              }
           }

        if (s.tmp) s_free(&s);
        if (t.tmp) s_free(&t);

        return(k);
        }

