/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: t_cha1.c,v 1.2 1997/09/25 18:07:02 ae59 Exp $ */
/*
$Log: t_cha1.c,v $
 * Revision 1.2  1997/09/25  18:07:02  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:25:01  ae59
 * Put under RCS control
 *
 */
#ifdef AIX
#include "/u/p88c/runtime/tbyte/t_defs.h"
#else
#include "t_defs.h"
#endif

#define IfNoErr(A)      \
   if (NoErr==(exc=A))

/*------------------------------------------------------------------*
 | Pruefe arg der PunktFunktionen mit einem Argument                |
 *------------------------------------------------------------------*/
#ifdef ANSI_C
#ifdef LINT_ARGS
int chk_arg_1(int fct, const ExtReal *arg, ExtReal *res)
#else
int chk_arg_1(fct, arg, res)
      int      fct;        /* FunktionsNummer */
const ExtReal  *arg;
      ExtReal  *res;
#endif /* LINT_ARGS */
#else  /* NOT ANSI_C */
#ifdef LINT_ARGS
int chk_arg_1(int fct, ExtReal *arg, ExtReal *res)
#else
int chk_arg_1(fct, arg, res)
int      fct;        /* FunktionsNummer */
ExtReal  *arg;
ExtReal  *res;
#endif /* LINT_ARGS */
#endif /* ANSI_C */
{
   int      exc;

   IfNoErr( chk_1(fct, arg) )
      return NoErr;

   /* --- FehlerHandle --- */
   return exc_handle_1(fct, exc, arg, res);

} /* chk_arg_1() */
