/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: t_dcpy.c,v 1.2 1997/09/25 18:10:24 ae59 Exp $ */
/*
$Log: t_dcpy.c,v $
 * Revision 1.2  1997/09/25  18:10:24  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:25:11  ae59
 * Put under RCS control
 *
 */
#ifdef AIX
#include "/u/p88c/runtime/tbyte/t_ddev.h"
#else
#include "t_ddev.h"
#endif

/*--------------------------------------------------------------*/
/* copydd                                                       */
/*--------------------------------------------------------------*/
#ifdef ANSI_C
#ifdef LINT_ARGS
int copydd(const DReal *arg, DReal *res)
#else
int copydd(arg, res)
const DReal   *arg;
      DReal   *res;
#endif /* LINT_ARGS */
#else  /* NOT ANSI_C */
#ifdef LINT_ARGS
int copydd(DReal *arg, DReal *res)
#else
int copydd(arg, res)
DReal   *arg;
DReal   *res;
#endif /* LINT_ARGS */
#endif /* ANSI_C */
{
   memcpy(res, arg, sizeof(DReal));
   return 0;

} /* copydd() */
