/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: t_etoi.c,v 1.2 1997/09/25 18:13:08 ae59 Exp $ */
/*
$Log: t_etoi.c,v $
 * Revision 1.2  1997/09/25  18:13:08  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:25:20  ae59
 * Put under RCS control
 *
 */
#ifdef AIX
#include "/u/p88c/runtime/tbyte/t_defs.h"
#else
#include "t_defs.h"
#endif

/*--------------------------------------------------------------*
 | irndint                                                      |
 *--------------------------------------------------------------*/
#ifdef ANSI_C
#ifdef LINT_ARGS
int irndintee (const IExtReal *arg, IExtReal *res)
#else
int irndintee (arg, res)
const IExtReal  *arg;
      IExtReal  *res;
#endif /* LINT_ARGS */
#else  /* NOT ANSI_C */
#ifdef LINT_ARGS
int irndintee (IExtReal *arg, IExtReal *res)
#else
int irndintee (arg, res)
IExtReal  *arg;
IExtReal  *res;
#endif /* LINT_ARGS */
#endif /* ANSI_C */
{
   int   ret;

   ret = setrndmode(UP);
   ret += rndintee(&(arg->u), &(res->u));
   ret += setrndmode(DOWN);
   ret += rndintee(&(arg->l), &(res->l));

   return ret;
} /* irndintee() */

/*--------------------------------------------------------------*
 | rndint                                                       |
 *--------------------------------------------------------------*/
#ifdef ANSI_C
#ifdef LINT_ARGS
int rndintee (const ExtReal *arg, ExtReal *res)
#else
int rndintee (arg, res)
const ExtReal  *arg;
      ExtReal  *res;
#endif /* LINT_ARGS */
#else  /* NOT ANSI_C */
#ifdef LINT_ARGS
int rndintee (ExtReal *arg, ExtReal *res)
#else
int rndintee (arg, res)
ExtReal  *arg;
ExtReal  *res;
#endif /* LINT_ARGS */
#endif /* ANSI_C */
{
   int   ret;

   ret = _s_etoie(arg, res);

   return ret;
} /* rndintee() */
