/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: t_ichs.c,v 1.2 1997/09/25 18:15:57 ae59 Exp $ */
/*
$Log: t_ichs.c,v $
 * Revision 1.2  1997/09/25  18:15:57  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:25:29  ae59
 * Put under RCS control
 *
 */
#ifdef AIX
#include "/u/p88c/runtime/tbyte/t_defs.h"
#else
#include "t_defs.h"
#endif

/*--------------------------------------------------------------*
 | ichsee                                                       |
 *--------------------------------------------------------------*/
#ifdef ANSI_C
#ifdef LINT_ARGS
int ichsee (const IExtReal *arg, IExtReal *res)
#else
int ichsee (arg, res)
const IExtReal  *arg;
      IExtReal  *res;
#endif /* LINT_ARGS */
#else  /* NOT ANSI_C */
#ifdef LINT_ARGS
int ichsee (IExtReal *arg, IExtReal *res)
#else
int ichsee (arg, res)
IExtReal  *arg;
IExtReal  *res;
#endif /* LINT_ARGS */
#endif /* ANSI_C */
{
   ExtReal  x;
   int   ret;

   ret = copyee(&(arg->l), &x);
   ret += chsee(&(arg->u), &(res->l));
   ret += chsee(&x, &(res->u));

   return ret;
} /* ichsee() */
