/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: t_mach.h,v 1.2 1997/09/25 16:48:12 ae59 Exp $ */
/*
$Log: t_mach.h,v $
 * Revision 1.2  1997/09/25  16:48:12  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:25:40  ae59
 * Put under RCS control
 *
 */
/**************************************************************
**                                                           **
**   mach.h                                                  **
**      Maschinen- und Betriebssystemabhaengige              **
**      Parameter fuer die ieee-Bibliothek                   **
**                                                           **
**   Datum: 08.02.1991 cb                                    **
**                                                           **
**************************************************************/

#ifdef AIX
#include "/u/p88c/runtime/tbyte/t_name.h"
#else
#include "t_name.h"
#endif


/* LSBFIRST: 1, falls least significant byte (LSB) auf niedriger */
/*           Speicheradresse liegt, sonst 0                      */
/*           1 fuer Intel-Prozessoren (80386)                    */
/*           0 fuer Motorola-Prozessoren (680x0)                 */
/*           0 fuer HP 9000                                      */
/*           0 fuer IBM RT/PC                                    */

#define LSBFIRST        INTEL

/* ANSI_STRINGIZE: 1, falls der Praeprozessor das ANSI-Stringize- */
/*                 Token (#) kennt, sonst 0                       */
/*                 1 fuer IBM MS C und Turbo C,                   */
/*                 1 fuer Atari Turbo C,                          */
/*                 0 fuer AIX PS/2 cc                             */
/*                 0 fuer HP 9000 HPUX cc                         */
/*                 0 fuer IBM RT/PC AIX cc                        */

#define ANSI_STRINGIZE 0

/* ANSI_C: definiert, falls der C-Compiler dem ANSI-Standard      */
/*         entspricht, sonst undefiniert                          */
/*         definiert fuer IBM MS C und Turbo C                    */
/*         definiert fuer Atari Turbo C                           */
/*         definiert fuer AIX PS/2 cc                             */
/*         nicht definiert fuer IBM PC/RT AIX cc                  */
/*         nicht definiert fuer HP 9000 HPUX cc                   */
/*         nicht definiert fuer SUN cc                            */

/* #define ANSI_C */

/* LINT_ARGS: definiert, falls Typpruefung in den Argumentlisten  */
/*            moeglich ist, sonst undefiniert                     */
/*            definiert fuer IBM MS C und Turbo C                 */
/*            definiert fuer Atari Turbo C                        */
/*            definiert fuer AIX PS/2 cc                          */
/*            nicht definiert fuer IBM PC/RT AIX cc               */
/*            nicht definiert fuer HP 9000 HPUX cc                */

/* #ifndef LINT_ARGS */
/* #define LINT_ARGS */     /* LINT_ARGS already set in p88rts.h  */
/* #endif            */
