/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: t_xtpe.c,v 1.2 1997/09/25 18:24:31 ae59 Exp $ */
/*
$Log: t_xtpe.c,v $
 * Revision 1.2  1997/09/25  18:24:31  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:25:53  ae59
 * Put under RCS control
 *
 */
#ifdef AIX
#include "/u/p88c/runtime/tbyte/t_defs.h"
#else
#include "t_defs.h"
#endif

/*--------------------------------------------------------------*/
/* extract exponent of ExtReal, return int *exponent            */
/*--------------------------------------------------------------*/

#ifdef ANSI_C
#ifdef LINT_ARGS
int xtrexpe(const ExtReal *arg, int *e)
#else
int xtrexpe(arg, e)
const ExtReal *arg;
      int     *e;
#endif /* LINT_ARGS */
#else  /* NOT ANSI_C */
#ifdef LINT_ARGS
int xtrexpe(ExtReal *arg, int *e)
#else
int xtrexpe(arg, e)
ExtReal *arg;
int     *e;
#endif /* LINT_ARGS */
#endif /* ANSI_C */
{
   ExtReal m;
   ExtReal exp;

   xtracte(arg, &m, &exp);
   extreal_to_int(&exp, e);

   return NoErr;
} /* xtrexpe() */
