/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: y_alck.c,v 1.2 1997/09/25 18:24:51 ae59 Exp $ */
/*
$Log: y_alck.c,v $
 * Revision 1.2  1997/09/25  18:24:51  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:25:54  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : y_alck.c                              */
/*                                                              */
/*      Entry           : y_dscp y_alck(d)                      */
/*                        y_dscp d;                             */
/*                                                              */
/*      Arguments       : d - descriptor of dynamic array       */
/*                                                              */
/*      Return value    : d (input value) null if not allocated */
/*                                                              */
/*      Description     : check for allocation, engage exception*/
/*                        if array is not allocated.            */
/*                                                              */
/*      Date            : 1993-01-19                            */
/*      1993-01-19 : new                                        */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local y_dscp y_alck(y_dscp d)
#else
local y_dscp y_alck(d)
y_dscp d;
#endif

{ 
        E_TPUSH("y_alck")
        if (!y_aled(d)) 
	   {
		 e_trap(ALLOCATION,2,E_EMSG,42);
		 d = (y_dscp) NULL;
        }
        E_TPOPP("y_alck")
        return d;
}
