/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: y_temp.c,v 1.2 1997/09/25 18:26:46 ae59 Exp $ */
/*
$Log: y_temp.c,v $
 * Revision 1.2  1997/09/25  18:26:46  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:25:59  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : y_temp.c                              */
/*                                                              */
/*      Entry           : void y_temp(d)                        */
/*                        y_dscp d;                             */
/*                                                              */
/*      Arguments       : d - descriptor of dynamic array       */
/*                                                              */
/*      Description     : set destroy flag to TRUE              */
/*                                                              */
/*      Date            : 1991-05-29                            */
/*      1991-05-29 : descrtype * replaced by y_dscp             */
/*      1990-11-22 : E_TPUSH+E_TPOPP                            */
/****************************************************************/

#ifndef ALL_IN_ONE
#ifdef AIX
#include "/u/p88c/runtime/o_defs.h"
#else
#include "o_defs.h"
#endif
#define local
#endif

#ifdef LINT_ARGS
local void y_temp(y_dscp d)
#else
local void y_temp(d)

y_dscp d;
#endif
        {
        E_TPUSH("y_temp")

        ((y_desc *)d)->destroy = TRUE;

        E_TPOPP("y_temp")
        return;
        }
