/*****************************************************************************/
/*                                                                           */
/* File:       "DP_CHECK.H"                                                  */
/* Author:      R. Hammer                                                    */
/* Date:        01-29-90                                                     */
/* Last Change: 07-27-90                                                     */
/*                                                                           */
/* Containing prototype declarations of procedures implemented in            */
/* "DP_CHECK.C".                                                             */
/*                                                                           */
/*****************************************************************************/


#ifdef LINT_ARGS
     global binptr  d_gscheck      ( tNODE * );
     global binptr  d_gvcheck      ( tNODE * );
     global binptr  d_gmcheck      ( tNODE * );
     global binptr  d_gcall        ( char * );
     global void    d_suplparam    ( binptr, binptr, boolean );
     global void    d_gstment      ( binptr*, binptr );
     global binptr  d_gassign      ( binptr, binptr );
     global binptr  d_glen         ( tNODE *, int );
#else
     global binptr  d_gscheck      ();
     global binptr  d_gvcheck      ();
     global binptr  d_gmcheck      ();
     global binptr  d_gcall        ();
     global void    d_suplparam    ();
     global void    d_gstment      ();
     global binptr  d_gassign      ();
     global binptr  d_glen         ();
#endif


global binptr  d_1stdim;      /* row length of the result    */
global binptr  d_2nddim;      /* column length of the result */
