/*
 *  MODULE:  stm.h
 *  statement analysis
{*  last modification:  26.09.91  10:54   }
 * Dima 15.07.91 : clrtmp moved to seman
 * uli 26.09.91 : konst and symjustdef moved from seman.h.
*/

extern symptr symjustdef ;   /* symbol just being defined in a constant */
			     /* definition. Defined by decl, used by konst. */

#ifdef LINT_ARGS

global void   stms   (void) ;
  /* The statements will be appended as the right son of the node */
  /* referenced by binprev.                                       */
  /* At return binprev is unchanged.                             */


global binptr konst (void) ;                            /*  k o n s t  */
  /* konst performs the syntax and semantic checks for constants*/
  /*  occurring in the declaration part.                        */
  /* The constant will be appended as the right son of the node */
  /*  referenced by the global variable binprev.                */
  /* At entry binprev must not have a right son.                */
  /* At return binprev is unchanged.                            */
  /* konst returns the Pascal data type of the constant.        */
  /* At entry the global variable bincurr is the first token    */
  /*  of the constant, which  may be a sign.                    */
  /* At exit bincurr is the first token that does not belong to */
  /*  the constant.                                             */
#else
global void   stms () ;
global binptr konst  () ;
#endif
